<header>
    <app-header></app-header>
</header>
<div class="container">
    <table mat-table [dataSource]="ELEMENT_DATA" class="mat-elevation-z8">


        <ng-container matColumnDef="imageName">
            <th mat-header-cell *matHeaderCellDef> Image Name </th>
            <td mat-cell *matCellDef="let element"> {{element.name}} </td>
        </ng-container>


        <ng-container matColumnDef="size">
            <th mat-header-cell *matHeaderCellDef> Size </th>
            <td mat-cell *matCellDef="let element"> {{element.size}} </td>
        </ng-container>


        <ng-container matColumnDef="recognitionResult">
            <th mat-header-cell *matHeaderCellDef> Recognition result </th>
            <td mat-cell *matCellDef="let element"> {{element.recognitionResult}} </td>
        </ng-container>


        <ng-container matColumnDef="downloadLink">
            <th mat-header-cell *matHeaderCellDef> Download link </th>
            <td mat-cell *matCellDef="let element"> {{element.downloadLink}} </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
</div>
